﻿//-----------------------------------------------------------------------
// <copyright file="StateInfo.cs" company="Eclectrics, LLC">
//     Copyright © 2012 Eclectrics, LLC. All rights reserved.
// </copyright>
//
// Free for all uses under the Creative Commons Attribution 3.0 United 
// Stated License.
//-----------------------------------------------------------------------

namespace Eclectrics.NationalWeatherServiceLibrary
{
    /// <summary>
    /// Binds a state's full name together with its USPS 2-character abbreviation.
    /// </summary>
    public class StateInfo
    {
        /// <summary>
        /// Initializes a new instance of the StateInfo class.
        /// </summary>
        /// <param name="name">The state name.</param>
        /// <param name="abbreviation">The state abbreviation.</param>
        public StateInfo(string name, string abbreviation)
        {
            this.Name = name;
            this.Abbreviation = abbreviation;
        }

        /// <summary>
        /// Gets or sets the state name.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the state abbreviation.
        /// </summary>
        public string Abbreviation { get; set; }

        /// <summary>
        /// Coverts a StateInfo into a string.
        /// </summary>
        /// <returns>the full state name string</returns>
        public override string ToString()
        {
            return this.Name;
        }
    }
}
