﻿//-----------------------------------------------------------------------
// <copyright file="ConfigurationStrings.cs" company="Eclectrics, LLC">
//     Copyright © 2012 Eclectrics, LLC. All rights reserved.
// </copyright>
//
// The intellectual property contained in this class belongs to Microsoft.
//  
// This document is free for all uses under the Creative Commons Attribution 
// 3.0 United Stated License.
//-----------------------------------------------------------------------

// This code is from the Microsoft WCF sample that can be found here:
// http://msdn.microsoft.com/en-us/library/ms751486(VS.85).aspx


namespace SimpleTextMessageEncoderLibrary
{
    /// <summary>
    /// String values used when creating the encoder.
    /// </summary>
    internal class ConfigurationStrings
    {
        /// <summary>
        /// A tag for message version.
        /// </summary>
        internal const string MessageVersion = "messageVersion";

        /// <summary>
        /// A tag for media type.
        /// </summary>
        internal const string MediaType = "mediaType";

        /// <summary>
        /// A tag for encoding type.
        /// </summary>
        internal const string Encoding = "encoding";

        /// <summary>
        /// A tag for reader quotas.
        /// </summary>
        internal const string ReaderQuotas = "readerQuotas";

        /// <summary>
        /// A string indicating no value.
        /// </summary>
        internal const string None = "None";

        /// <summary>
        /// A string indicating the default value.
        /// </summary>
        internal const string Default = "Default";

        /// <summary>
        /// The Soap 1.1 message version
        /// </summary>
        internal const string Soap11 = "Soap11";

        /// <summary>
        /// The WS-Addressing 1.0 Soap 1.1 message version.
        /// </summary>
        internal const string Soap11WSAddressing10 = "Soap11WSAddressing10";

        /// <summary>
        /// The WS-Addressing August 2004 Soap 1.1 message version.
        /// </summary>
        internal const string Soap11WSAddressingAugust2004 = "Soap11WSAddressingAugust2004";

        /// <summary>
        /// The Soap 1.2 message version.
        /// </summary>
        internal const string Soap12 = "Soap12";

        /// <summary>
        /// The WS-Addressing 1.0 Soap 1.2 message version.
        /// </summary>
        internal const string Soap12WSAddressing10 = "Soap12WSAddressing10";

        /// <summary>
        /// The WS-Addressing August 2004 Soap 1.2 message version.
        /// </summary>
        internal const string Soap12WSAddressingAugust2004 = "Soap12WSAddressingAugust2004";

        /// <summary>
        /// A string describing the default message version.
        /// </summary>
        internal const string DefaultMessageVersion = Soap12WSAddressing10;

        /// <summary>
        /// Sets the default media type as text/xml.
        /// </summary>
        internal const string DefaultMediaType = "text/xml";

        /// <summary>
        /// Sets the default encoding to utf-8.
        /// </summary>
        internal const string DefaultEncoding = "utf-8";
    }
}
