﻿//-----------------------------------------------------------------------
// <copyright file="ZipChangedEventArgs.cs" company="Eclectrics, LLC">
//     Copyright © 2012 Eclectrics, LLC. All rights reserved.
// </copyright>
//
// Free for all uses under the Creative Commons Attribution 3.0 United 
// Stated License.
//-----------------------------------------------------------------------

namespace TestFromZip
{
    using System;

    /// <summary>
    /// An EventArgs derivative that adds zip code information.
    /// </summary>
    internal class ZipChangedEventArgs : EventArgs
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ZipChangedEventArgs"/> class.
        /// </summary>
        /// <param name="state">The state.</param>
        /// <param name="zipCode">The zip code.</param>
        public ZipChangedEventArgs(ZipState state, string zipCode)
        {
            this.ZipCode = zipCode;
            this.State = state;
        }

        /// <summary>
        /// Gets or sets the zip code.
        /// </summary>
        /// <value>
        /// The zip code.
        /// </value>
        public string ZipCode { get; set; }

        /// <summary>
        /// Gets or sets the state.
        /// </summary>
        /// <value>
        /// The state.
        /// </value>
        public ZipState State { get; set; }
    }
}
