﻿//-----------------------------------------------------------------------
// <copyright file="ZipState.cs" company="Eclectrics, LLC">
//     Copyright © 2012 Eclectrics, LLC. All rights reserved.
// </copyright>
//
// Free for all uses under the Creative Commons Attribution 3.0 United 
// Stated License.
//-----------------------------------------------------------------------

namespace TestFromZip
{
    /// <summary>
    /// Describes the completeness/correctness of the current value
    /// of the Text property for the zipTextBox.
    /// </summary>
    public enum ZipState
    {
        /// <summary>
        /// The zip code is empty.
        /// </summary>
        Empty,

        /// <summary>
        /// A partial zip code.
        /// </summary>
        Partial,

        /// <summary>
        /// A complete zip code.
        /// </summary>
        Complete,

        /// <summary>
        /// An invalid zip code.
        /// </summary>
        Invalid
    }
}
