﻿using System;
using System.Runtime.InteropServices;


namespace Eclectrics.XmlToolsLibrary
{
    /// <summary>
    /// Native methods used by the XmlTreeView.
    /// </summary>
    internal static class NativeMethods
    {
        public const int TVM_GETITEMA = 0x110c;
        public const int TVM_GETITEMW = 0x113e;
        public const int TVIS_SELECTED = 0x0002;
        public const int TVIS_DROPHILITED = 0x0008;

        public const int TVIF_STATE = 0x0008;
        public const int TVIF_HANDLE = 0x0010;

        /// <summary>
        /// The attributes of a TreeViewItem.
        /// </summary>
        [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Auto)]
        public struct TV_ITEM
        {
            public int mask;
            public IntPtr hItem;
            public int state;
            public int stateMask;
            public IntPtr pszText;
            public int cchTextMax;
            public int iImage;
            public int iSelectedImage;
            public int cChildren;
            public IntPtr lParam;
        }
    }
}

