﻿//-----------------------------------------------------------------------------
// <copyright file="UnsafeNativeMethods.cs" company="Eclectrics, LLC">
//     © 2012 Eclectrics, LLC. All rights reserved.
// </copyright>
// Free for all uses under the Creative Commons Attribution 3.0 United States License
// http://creativecommons.org/licenses/by/3.0/us/
//-----------------------------------------------------------------------------

namespace Eclectrics.XmlToolsLibrary
{
    using System;
    using System.Runtime.InteropServices;
    using System.Security;

    /// <summary>
    /// Native methods used by the XmlTreeView.
    /// </summary>
    [SuppressUnmanagedCodeSecurity]
    internal class UnsafeNativeMethods
    {
        /// <summary>
        /// Sends the message.
        /// </summary>
        /// <param name="hWnd">A handle to the window.</param>
        /// <param name="msg">The message.</param>
        /// <param name="wParam">The wParam (Win32).</param>
        /// <param name="lParam">The lParam (Win32).</param>
        /// <returns>The result of the message processing.</returns>
        [DllImport("user32.dll", CharSet = CharSet.Auto)]
        public static extern IntPtr SendMessage(HandleRef hWnd, int msg, int wParam, ref NativeMethods.TV_ITEM lParam);
    }
}
